import request from '../../utils/request'

export function getDicList() {
    return request({
        url: '/surgeryRecord/getDicList',
        method: 'get',
    })
}

export function fetchBriefOpRecordList(data) {
    return request({
        url: '/surgeryRecord/fetchBriefOpRecordList',
        method: 'post',
        data
    })
}

export function fetchSurgeryRecord(recordId) {
    return request({
        url: '/surgeryRecord/fetchSurgeryRecord',
        method: 'get',
        params: { recordId }
    })
}

export function saveSurgeryRecord(data) {
    return request({
        url: '/surgeryRecord/saveSurgeryRecord',
        method: 'post',
        data
    })
}
